import 'dart:async';

import 'package:flutter/services.dart';

class TencentMap {
  static const MethodChannel _channel = const MethodChannel('tencent_map');

  static Future<Location> getLocation({String apiKey}) async {
    Map map = await _channel.invokeMethod('getLocation',{'apiKey':apiKey});
    return Location.form(map);
  }
}

class Location {
  String name;
  String address;
  String city;
  String cityCode;
  double latitude;
  double longitude;

  Location.form(Map map) {
    this.name = map['name'];
    this.address = map['address'];
    this.city = map['city'];
    this.cityCode = map['cityCode'];
    this.latitude = map['latitude'];
    this.longitude = map['longitude'];
  }
}
